diff -u ams-1.8.8~rc2/debian/patches/00list ams-1.8.8~rc2/debian/patches/00list
--- ams-1.8.8~rc2/debian/patches/00list
+++ ams-1.8.8~rc2/debian/patches/00list
@@ -4,0 +5 @@
+15_qt3_headers
diff -u ams-1.8.8~rc2/debian/changelog ams-1.8.8~rc2/debian/changelog
--- ams-1.8.8~rc2/debian/changelog
+++ ams-1.8.8~rc2/debian/changelog
@@ -1,3 +1,11 @@
+ams (1.8.8~rc2-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Drop dependency on libqt3-compat-headers, which is scheduled for
+    removal, patch by Barry deFreese (Closes: #464092)
+
+ -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 27 Mar 2008 19:32:38 +0100
+
 ams (1.8.8~rc2-3) unstable; urgency=low
 
   * Recommends vco rev and amb plugins
diff -u ams-1.8.8~rc2/debian/control ams-1.8.8~rc2/debian/control
--- ams-1.8.8~rc2/debian/control
+++ ams-1.8.8~rc2/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>, Junichi Uekawa <dancer@debian.org>
-Build-Depends: debhelper (>> 3.0.0), libqt3-mt-dev (>= 3:3.3.4-7), ladspa-sdk, libasound2-dev, libjack0.100.0-dev, fftw-dev, sfftw-dev, dpatch, libqt3-compat-headers, libclalsadrv-dev (>= 1.0.1-3)
+Build-Depends: debhelper (>> 3.0.0), libqt3-mt-dev (>= 3:3.3.4-7), ladspa-sdk, libasound2-dev, libjack0.100.0-dev, fftw-dev, sfftw-dev, dpatch, libclalsadrv-dev (>= 1.0.1-3)
 Standards-Version: 3.7.2
 
 Package: ams
only in patch2:
unchanged:
--- ams-1.8.8~rc2.orig/debian/patches/15_qt3_headers.dpatch
+++ ams-1.8.8~rc2/debian/patches/15_qt3_headers.dpatch
@@ -0,0 +1,126 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 15_qt3_headers.dpatch by  <bdefreese@debian2.bddebian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Update old qt3 headers.
+
+@DPATCH@
+diff -urNad ams-1.8.8~rc2~/m_ladspa.h ams-1.8.8~rc2/m_ladspa.h
+--- ams-1.8.8~rc2~/m_ladspa.h	2003-10-23 05:24:12.000000000 -0400
++++ ams-1.8.8~rc2/m_ladspa.h	2008-02-04 21:56:53.000000000 -0500
+@@ -9,7 +9,7 @@
+ #include <qslider.h>   
+ #include <qcheckbox.h>  
+ #include <qlabel.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <qvbox.h>
+ #include <qhbox.h>
+ #include <qspinbox.h>
+diff -urNad ams-1.8.8~rc2~/midicontroller.h ams-1.8.8~rc2/midicontroller.h
+--- ams-1.8.8~rc2~/midicontroller.h	2003-10-23 05:24:12.000000000 -0400
++++ ams-1.8.8~rc2/midicontroller.h	2008-02-04 21:55:30.000000000 -0500
+@@ -2,7 +2,7 @@
+ #define MIDICONTROLLER_H
+ 
+ #include <qobject.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <qlistview.h>
+ 
+ /**
+diff -urNad ams-1.8.8~rc2~/midicontrollerlist.cpp ams-1.8.8~rc2/midicontrollerlist.cpp
+--- ams-1.8.8~rc2~/midicontrollerlist.cpp	2003-10-22 13:12:10.000000000 -0400
++++ ams-1.8.8~rc2/midicontrollerlist.cpp	2008-02-04 21:59:50.000000000 -0500
+@@ -1,4 +1,4 @@
+-#include <qcollection.h>
++#include <qptrcollection.h>
+ #include "midicontrollerlist.h"
+ #include "midicontroller.h"
+ 
+diff -urNad ams-1.8.8~rc2~/midicontrollerlist.h ams-1.8.8~rc2/midicontrollerlist.h
+--- ams-1.8.8~rc2~/midicontrollerlist.h	2003-10-23 05:24:12.000000000 -0400
++++ ams-1.8.8~rc2/midicontrollerlist.h	2008-02-04 21:56:01.000000000 -0500
+@@ -1,8 +1,8 @@
+ #ifndef MIDICONTROLLERLIST_H
+ #define MIDICONTROLLERLIST_H
+ 
+-#include <qlist.h>
+-#include <qcollection.h>
++#include <qinputcontext.h>
++#include <qptrcollection.h>
+ 
+ #include "midicontroller.h"
+ 
+diff -urNad ams-1.8.8~rc2~/midiguicomponent.h ams-1.8.8~rc2/midiguicomponent.h
+--- ams-1.8.8~rc2~/midiguicomponent.h	2004-05-11 13:27:09.000000000 -0400
++++ ams-1.8.8~rc2/midiguicomponent.h	2008-02-04 21:56:28.000000000 -0500
+@@ -2,7 +2,7 @@
+ #define MIDIGUICOMPONENT_H
+ 
+ #include <qpopupmenu.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <qhbox.h>
+ #include "synthdata.h"
+ #include "midicontroller.h"
+diff -urNad ams-1.8.8~rc2~/modularsynth.h ams-1.8.8~rc2/modularsynth.h
+--- ams-1.8.8~rc2~/modularsynth.h	2007-03-09 22:13:46.000000000 -0500
++++ ams-1.8.8~rc2/modularsynth.h	2008-02-04 21:57:15.000000000 -0500
+@@ -9,7 +9,7 @@
+ #include <qslider.h>   
+ #include <qcheckbox.h>  
+ #include <qlabel.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <qframe.h>
+ #include <qmessagebox.h>
+ #include <qmainwindow.h>
+diff -urNad ams-1.8.8~rc2~/module.h ams-1.8.8~rc2/module.h
+--- ams-1.8.8~rc2~/module.h	2007-03-09 22:13:46.000000000 -0500
++++ ams-1.8.8~rc2/module.h	2008-02-04 21:57:59.000000000 -0500
+@@ -18,7 +18,7 @@
+ #include <qsize.h>
+ #include <qsizepolicy.h>
+ #include <qpoint.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <alsa/asoundlib.h>
+ #include "synthdata.h"
+ #include "configdialog.h"
+diff -urNad ams-1.8.8~rc2~/port.h ams-1.8.8~rc2/port.h
+--- ams-1.8.8~rc2~/port.h	2004-02-11 11:55:34.000000000 -0500
++++ ams-1.8.8~rc2/port.h	2008-02-04 21:58:25.000000000 -0500
+@@ -5,7 +5,7 @@
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <qwidget.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <qstring.h>
+ #include <qcolor.h>
+ #include <qpopupmenu.h>
+diff -urNad ams-1.8.8~rc2~/synthdata.h ams-1.8.8~rc2/synthdata.h
+--- ams-1.8.8~rc2~/synthdata.h	2007-04-09 07:52:57.000000000 -0400
++++ ams-1.8.8~rc2/synthdata.h	2008-02-04 21:58:48.000000000 -0500
+@@ -6,7 +6,7 @@
+ #include <qthread.h>
+ #include <qstring.h>
+ #include <qcolor.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include <ladspa.h>
+ #include <clalsadrv.h>
+ #include <jack/jack.h>
+diff -urNad ams-1.8.8~rc2~/textedit.h ams-1.8.8~rc2/textedit.h
+--- ams-1.8.8~rc2~/textedit.h	2002-12-16 06:02:28.000000000 -0500
++++ ams-1.8.8~rc2/textedit.h	2008-02-04 21:59:11.000000000 -0500
+@@ -18,7 +18,7 @@
+ #include <qsize.h>
+ #include <qsizepolicy.h>
+ #include <qpoint.h>
+-#include <qlist.h>
++#include <qinputcontext.h>
+ #include "synthdata.h"
+ 
+ #define TEXTEDIT_DEFAULT_WIDTH                200
